Consolidate the log groups used within Wikibase & Wikibase extensions.
Closed, ResolvedPublic

Description

EG. wfDebugLog( __CLASS__ should instead log to a more generic log channel that we actually see in production, such as "Wikibase" (TBA actually make sure this is configured in prod).
The level should also be checked, perhaps we don't want to log debug level to logstash for example?
Maybe some of these log positions could also be removed?

Addshore created this task.Oct 24 2018, 2:18 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 24 2018, 2:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore triaged this task as Normal priority.Oct 24 2018, 2:19 PM
Addshore updated the task description. (Show Details)

Change 474185 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Define a new 'Wikibase' log channel to use

https://gerrit.wikimedia.org/r/474185

Change 474187 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] WIP DNM Consolidate logging

https://gerrit.wikimedia.org/r/474187

Change 475429 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in client

https://gerrit.wikimedia.org/r/475429

Change 474185 merged by jenkins-bot:
[operations/mediawiki-config@master] Define a new 'Wikibase' log channel to use

https://gerrit.wikimedia.org/r/474185

Mentioned in SAL (#wikimedia-operations) [2018-12-05T08:48:22Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T207850 Define a new Wikibase log channel to use (duration: 00m 47s)

Change 474187 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in client

https://gerrit.wikimedia.org/r/474187

Change 475429 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in lib

https://gerrit.wikimedia.org/r/475429

Change 477978 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Remove StubUserLang debug logging

https://gerrit.wikimedia.org/r/477978

Change 478193 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in Repo\UpdateRepo

https://gerrit.wikimedia.org/r/478193

Change 478196 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Remove the "wikibase-debug" log channel

https://gerrit.wikimedia.org/r/478196

Change 477978 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove StubUserLang debug logging

https://gerrit.wikimedia.org/r/477978

Change 478193 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in Repo\UpdateRepo

https://gerrit.wikimedia.org/r/478193

Change 478219 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in repo

https://gerrit.wikimedia.org/r/478219

Change 478196 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove the "wikibase-debug" log channel

https://gerrit.wikimedia.org/r/478196

Mentioned in SAL (#wikimedia-operations) [2018-12-10T12:13:24Z] <hoo@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove the "wikibase-debug" log channel (T207850) (duration: 00m 47s)

Change 478219 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use PSR Logger instead of wfDebugLog in repo

https://gerrit.wikimedia.org/r/478219

$ grep -rnF 'wfLogWarning(' Wikibase WikibaseLexeme/ WikibaseQualityConstraints/ | wc -l
41
$ grep -rnF 'wfWarn(' Wikibase WikibaseLexeme/ WikibaseQualityConstraints/ | wc -l
22

Do we care about them in this context? wfLogWarning/ wfWarn work differently form wfDebugLog as they actually trigger a PHP error.

$ grep -rnF 'wfLogWarning(' Wikibase WikibaseLexeme/ WikibaseQualityConstraints/ | wc -l
41
$ grep -rnF 'wfWarn(' Wikibase WikibaseLexeme/ WikibaseQualityConstraints/ | wc -l
22

Do we care about them in this context? wfLogWarning/ wfWarn work differently form wfDebugLog as they actually trigger a PHP error.

I think we can ignore those